Admin A P I
List server backups
Returns a paginated list of backups assigned to a server.
GET
/api/admin/servers/{server_admin_identifier}/backupsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_admin_identifier*string
The server ID or UUID.
Query Parameters
filter[uuid]*string
Filter backups by UUID.
filter[name]*string
Filter backups by name.
sort*string
Sort backups by id, bytes, or created_at. Prefix with a hyphen for descending order.
per_page*integer
Results to return per page.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/admin/servers/1/backups?filter%5Buuid%5D=1b19cf3f-2f89-4f88-a81e-321e7fe326bc&filter%5Bname%5D=Before+Update&sort=-created_at&per_page=25"{ "object": "list", "data": [ { "object": "backup", "attributes": { "uuid": "ce8a4c18-b8e3-4dbc-903c-c961df2b5f19", "name": "Odit et et modi.", "ignored_files": [ "string" ], "checksum": "string", "bytes": 0, "is_successful": true, "is_locked": false, "created_at": "2026-09-22T14:45:25+00:00", "completed_at": "2026-09-22T14:45:25+00:00" } } ], "meta": { "pagination": { "total": 1, "count": 1, "per_page": 50, "current_page": 1, "total_pages": 1, "links": { "property1": "string", "property2": "string" } } }}